package cn.net.cpzslibs.prot.handset.bean.req;

import java.util.List;

public class Prot20064ReqBean {
	private String product_id ;
	private int type;
	private List<String> single;
	private Prot20002ReqBatchBean batcher;
	
	
	
	public Prot20064ReqBean() {
		
	}

	public Prot20064ReqBean(String product_id, int type, List<String> single,
			Prot20002ReqBatchBean batcher) {
	
		this.product_id = product_id;
		this.type = type;
		this.single = single;
		this.batcher = batcher;
	}

	public String getProduct_id() {
		return product_id;
	}

	public void setProduct_id(String product_id) {
		this.product_id = product_id;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public List<String> getSingle() {
		return single;
	}

	public void setSingle(List<String> single) {
		this.single = single;
	}

	public Prot20002ReqBatchBean getBatcher() {
		return batcher;
	}

	public void setBatcher(Prot20002ReqBatchBean batcher) {
		this.batcher = batcher;
	}

	@Override
	public String toString() {
		return "Prot20064ReqBean [product_id=" + product_id + ", type=" + type
				+ ", single=" + single + ", batcher=" + batcher + "]";
	}
	
	

}
